CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2007-5358

Multiple buffer overflows in the voicemail functionality in Asterisk 1.4.x before 1.4.13, when using IMAP storage, might allow (1) remote attackers to execute arbitrary code via a long combination of Content-type and Content-description headers, or (2) local users to execute arbitrary code via a long combination of astspooldir, voicemail context, and voicemail mailbox fields. NOTE: vector 2 requires write access to Asterisk configuration files.
Publish Date : 2007-10-12 Last Update Date : 2008-11-15
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 119

- Products Affected By CVE-2007-5358

# Product Type Vendor Product Version Update Edition Language
1 Application Digium Asterisk 1.4.12 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Digium Asterisk 1

- References For CVE-2007-5358

http://www.securityfocus.com/bid/26005
BID 26005 Asterisk IMAP-Specific Voicemail Multiple Buffer Overflow Vulnerabilities Release Date:2007-10-19
http://www.securityfocus.com/archive/1/archive/1/481996/100/0/threaded
BUGTRAQ 20071010 AST-2007-022: Buffer overflows in voicemail when using IMAP storage
http://www.securitytracker.com/id?1018804
SECTRACK 1018804
http://xforce.iss.net/xforce/xfdb/37051
XF asterisk-sprintf-bo(37051)
http://xforce.iss.net/xforce/xfdb/37052
XF asterisk-contentheader-bo(37052)
http://downloads.digium.com/pub/security/AST-2007-022.html CONFIRM
http://osvdb.org/38201
OSVDB 38201
http://osvdb.org/38202
OSVDB 38202
http://www.frsirt.com/english/advisories/2007/3454
VUPEN ADV-2007-3454
http://secunia.com/advisories/27184
SECUNIA 27184

- Metasploit Modules Related To CVE-2007-5358

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.